Package org.eclipse.microprofile.openapi.apps.petstore.resource

## Class PetStoreResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.resource.PetStoreResource

    @Path("/store")
    @Produces({"application/json","application/xml"})
    public class PetStoreResource
    extends Object

### Constructor Summary

Constructors
`PetStoreResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `deleteOrder​(Long orderId)`
`Map<String,​Integer>` `getInventory()`
`jakarta.ws.rs.core.Response` `getOrderById​(Long orderId)`
`Order` `placeOrder​(Order order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PetStoreResource

    public PetStoreResource()

### Method Detail

#### getInventory

    @GET
    @Path("/inventory")
    @Produces({"application/json","application/xml"})
    public Map<String,​Integer> getInventory()

#### getOrderById

    @GET
    @Path("/order/{orderId}")
    public jakarta.ws.rs.core.Response getOrderById​(@PathParam("orderId")
                                                    Long orderId)
                                             throws NotFoundException

Throws:
  `NotFoundException`

#### placeOrder

    @POST
    @Path("/order")
    public Order placeOrder​(Order order)

#### deleteOrder

    @DELETE
    @Path("/order/{orderId}")
    public jakarta.ws.rs.core.Response deleteOrder​(@PathParam("orderId")
                                                   Long orderId)